Good Morning to All,
I have been facing a weird issue since the start of the day today. The Automatic 3D Centerline on the Projected view is coming out to be way long as shown in the below images. I checked my customer default settings and I do not find any issues there. I have attached images...
I tried the normal save. This is the code that is working in my case
Sub sSavePart()
Dim objPartSaveStatus As PartSaveStatus = Nothing
For each objPart As part In FnGetNxSession.Parts()
'Check if the part is modified
If...
Hello Everyone,
I have an assembly on which I run a custom NXOpen application. At the end, I am doing a programmatic Save All. NX is prompting me to save certain read-only files which I am not even touching inside my program. On checking the Part Modification History Information -> Part ->...
Hello Everyone,
Hope all of you had a nice long weekend!
I have something cropping up today and I have been trying to find a solution since morning. In NX 12, a new window opens as a tabbed page (similar to chrome). How can I close any opened new windows using NXOpen? I also need a way to...
Hello Everyone,
I am using .AskMinimumDist method to return 2 points on 2 different bodies, I am then using these 2 points to calculate a vector and use the vector in the .TraceARay method to return the faces that are hit. I am doing all this to reduce runtime in computing mating faces between...
Hello Everyone,
I have been struggling with a customer requirement lately. Has anyone over here worked with Patterns in Drawing? The customer wants me to add the Title Block as a Pattern. If I am trying to manually add the customer Pattern Part File using File--> Import, Groups are getting...
Hello Everyone,
I have a custom Drawing Template and its corresponding PAX file in a custom folder outside the NX installation folder. I am launching an NXOpen application using run_managed. I would like to use this Drawing template within the application but it is throwing an error. I am also...
Hello Everyone,
I wish all of you a Happy New Year 2018.
One of my applications uses Run_Managed.exe to execute a list of NXOpen batch applications. Recently I migrated to NX 11 for one of my customers and I have been facing an issue with the run_managed.exe application.
I am getting the...
Hello Everyone,
Is there a way to get all the faces in an assembly which are having a given color (for example, all the blue faces) without having to loop through the different bodies and faces (maybe by using NX rules)? I am looking for a run-time efficient solution.
Thank you,
Amitabh
I did not get a response to this thread. I am still struggling with this requirement. Please let me know if you need more information. Please help!
Thank you,
Amitabh
Hello Everyone,
I have been struggling with this the entire day. Is there any NXOpen API that provides if an edge is partially visible in 2D Drawing? I have been looking at 2 API's AskVdeData and UFSo.AskVisibilityOpt but none of them tells me if an edge is partially visible. There is no View...
Hi Friends,
I have a piece of code which is working perfectly fine in NX9 but the same piece of code is throwing a problem on NX11 :(
The code takes as input a view in which it performs view dependent edit on certain edges (within a given face) to make it visible as dashed line in the drawing...
Hello Friends,
I have some questions related to CAA and I need some help
1. Does CATIA CAA gives a functionality to custom name Edges and Faces of any given solid body so that we can later refer it using .NET Edge.Name and Face.Name property? I would like to refer these edges as Edge1, Edge2...
Hello Friends,
I am wondering which NX API will let me define a Tabular Note Header. I need to propagate the table along with the header if it reaches beyond a certain margin value. I am able to propagate the tabular note rows to the left using NX Open but I have to add the header row using...
Hello Friends,
This group has never disappointed me when I have been looking for some answers to my NX automation. Here I come with another question. I have different assemblies in which the same part is instantiated (as another component assembly). Is there any direct NX API that I can use to...